Package org.apache.nutch.hostdb

## Class ReadHostDb

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.nutch.hostdb.ReadHostDb

- All Implemented Interfaces:
    `Configurable`, `Tool`

      public class ReadHostDb
      extends Configured
      implements Tool

  See Also:
    Commons

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `HOSTDB_DUMP_HEADER` |
    `static String` | `HOSTDB_DUMP_HOMEPAGES` |
    `static String` | `HOSTDB_DUMP_HOSTNAMES` |
    `static String` | `HOSTDB_FILTER_EXPRESSION` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadHostDb()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(String[] args)` |
    `int` | `run​(String[] args)` |

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Field Detail

    - #### HOSTDB_DUMP_HEADER

          public static final String HOSTDB_DUMP_HEADER

      See Also:
        Constant Field Values

    - #### HOSTDB_DUMP_HOSTNAMES

          public static final String HOSTDB_DUMP_HOSTNAMES

      See Also:
        Constant Field Values

    - #### HOSTDB_DUMP_HOMEPAGES

          public static final String HOSTDB_DUMP_HOMEPAGES

      See Also:
        Constant Field Values

    - #### HOSTDB_FILTER_EXPRESSION

          public static final String HOSTDB_FILTER_EXPRESSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReadHostDb

          public ReadHostDb()

  - ### Method Detail

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### run

          public int run​(String[] args)
                  throws Exception

      Specified by:
        `run` in interface `Tool`
      Throws:
        `Exception`